Agent Memories
GET /api/orgs/{org_id}/agent-memories
Section titled “GET /api/orgs/{org_id}/agent-memories”List Agent Memories
List agent memories, optionally filtered by agent.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| agent_id | query | string (uuid) | no | Filter by agent |
| limit | query | integer | no | |
| offset | query | integer | no | |
| org_id | path | string (uuid) | yes |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | AgentMemoryListResponse |
| 422 | Validation Error | HTTPValidationError |
GET /api/orgs/{org_id}/agent-memories/search
Section titled “GET /api/orgs/{org_id}/agent-memories/search”Search Agent Memories
Vector search agent memories by semantic similarity.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| agent_id | query | string (uuid) | no | Filter by agent |
| limit | query | integer | no | |
| org_id | path | string (uuid) | yes | |
| q | query | string | no | Search query text |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | AgentMemorySearchResponse |
| 422 | Validation Error | HTTPValidationError |